Package org.apache.lucene.analysis.payloads

# Class AbstractEncoder

java.lang.Object
org.apache.lucene.analysis.payloads.AbstractEncoder

All Implemented Interfaces:
  `PayloadEncoder`

Direct Known Subclasses:
  `FloatEncoder`, `IdentityEncoder`, `IntegerEncoder`

public abstract class AbstractEncoder extends Object implements PayloadEncoder
Base class for payload encoders.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractEncoder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BytesRef`
  `encode(char[] buffer)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.analysis.payloads.PayloadEncoder

  `encode`

- ## Constructor Details

  - ### AbstractEncoder

    public AbstractEncoder()

- ## Method Details

  - ### encode

    public BytesRef encode(char[] buffer)
    Specified by:
      `encode` in interface `PayloadEncoder`